Caja.Column
Prev | Available Classes | Next

## Caja.Column

Caja.Column — Caja.Column Reference

## Synopsis

    class Caja.Column(gobject.GObject):
        Caja.Column(name, attribute, label, description)

## Ancestry

    +-- gobject.GObject
        +-- Caja.Column

## Description

A list of `Caja.Column` objects is returned by `Caja.ColumnProvider` extensions.

## Properties

"attribute" | The attribute name to display. Default value: None | Read-Write
"attribute-q" | The attribute name to display, in quark form. Default value: 0 | Read
"description" | The user-visible description of the column. Default value: None | Read-Write
"label" | The label to display in the column. Default value: None | Read-Write
"name" | The name of the column. Default value: None | Read-Write-ConstructOnly
"xalign" | The x-alignment of the column. Allowed values: [0,1]. Default value: 0 | Read-Write

## Constructor

        Caja.Column(name, attribute, label, description)

`name` : | identifier of the column
`attribute` : | the file attribute to be displayed in the column
`label` : | the user-visible label for the column
`description` : | a user-visible description of the column

Creates a new `Caja.Column` object.

Prev | Up | Next
Available Classes | Home | Caja.FileInfo